<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Login</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous" />
    <h:outputStylesheet name="/bootstrap/3.3.7/css/bootstrap.min.css" library="webjars"/>
    <h:outputStylesheet name="style.css" library="css"/>

</h:head>
<h:body>
    <h2>Bienvenue <h:outputText value="#{userBean.connectedUser.getUsername()}"/></h2>
    <h3>Sur votre profil</h3>
    <br></br>
    <div class="row">
        <nav class="navbar col-lg-offset-1 col-lg-10">
            <div class="container-fluid">
                <div class="navbar-header">
                    <a class="navbar-brand" href="home.xhtml"><b>Home</b></a>
                </div>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="productPrivate.xhtml">Shop</a></li>
                </ul>
                <ul class="nav navbar-nav underline">
                    <li class="active"><a href="">Cart</a></li>
                </ul>
                <ul class="nav navbar-nav underline">
                    <li class="active"><h:link value="Profil" outcome="profil"/></li>
                </ul>
                <nav class="circle-effect">
                    <ul class="nav navbar-nav navbar-right">
                        <h:form><li><h:commandButton value="logout" action="#{userBean.logout()}" styleClass="btn btn-danger" /></li></h:form>
                    </ul>
                </nav>
            </div>
        </nav>
    </div>

    <div class="col-lg-offset-3 col-lg-6 text-center" id="infoUser">
        <h:outputText value="Username : #{sessionScope.user.getUsername()}"/><br/>
        <h:outputText value="Firstname : #{sessionScope.user.getFirstName()}"/><br/>
        <h:outputText value="Lastname : #{sessionScope.user.getLastName()}"/><br/>
        <h:outputText value="Email : #{sessionScope.user.getEmail()}"/><br/>
        <h:outputText value="Postal : #{sessionScope.user.getPostal()}"/><br/><br/>
        <h:commandLink value="Modify" id="modify" styleClass="btn btn-warning"></h:commandLink>
    </div>

    <h:form styleClass="col-lg-offset-5 col-lg-6 text-center" id="formModifUser">
        <h:panelGrid>
            <h:outputText value="Enter Your First Name:" />
            <h:inputText id="fname" value="#{userBean.user.firstName}"
                             required="true" requiredMessage="Please enter your first name" />
            <h:message for="fname" style="color:red" />
            <h:outputText value="Enter Your Last Name:" />
            <h:inputText id="lname" value="#{userBean.user.lastName}"
                             required="true" requiredMessage="Please enter your last name" />
            <h:message for="lname" style="color:red" />
            <h:outputText value="Enter Your email ID:" />
            <h:inputText id="email" value="#{userBean.user.email}"
                             required="true" requiredMessage="Please enter your email id" />
            <h:message for="email" style="color:red" />
            <h:outputText value="Enter Your Postal Code:" />
            <h:inputText id="postal" value="#{userBean.user.postal}"
                             required="true" requiredMessage="Please enter your Postal Code" />
            <h:message for="email" style="color:red" />
            <h:outputText value="Enter Your username:" />
            <h:inputText id="username" value="#{userBean.user.username}"
                             required="true" requiredMessage="Please enter your username" />
            <h:message for="username" style="color:red" />
            <h:outputText value="Enter Password :" />
            <h:inputSecret id="psw" value="#{userBean.user.password}"
                               required="true" requiredMessage="Please enter your password" />
            <h:message for="psw" style="color:red" /> <br  />

            <f:facet name="footer">
                <div style="align-items: center" class="col-lg-offset-1" >
                    <h:commandButton value="Submit" action="#{userBean.modifUser}" styleClass="btn btn-success" id="info" />
                    <h:commandButton value="Infos" styleClass="btn btn-info col-lg-offset-1" id="infos" />
                </div>
            </f:facet>
        </h:panelGrid>
    </h:form>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script type="text/javascript">
        $('#formModifUser').hide();
        $('#modify').click(function() {
            $('#formModifUser').show(250);
            $('#infoUser').hide(250);
        });
        $('#infos').click(function() {
            $('#infoUser').show(250);
            $('#formModifUser').hide(250);
        });
    </script>
</h:body>
</html>